<?php
require_once '../includes/WebStart.php';

$wdProductApi = new ProductClientApi ( getAccessToken () );
/* 获取商品信息 */
{
	Logger::info ( "获取商品信息" );
	echo $wdProductApi->getProduct ( '1497233640' )->data;
}
/* 获取全店商品 */
{
	Logger::info ( "获取全店商品" );
	echo $wdProductApi->getShopProduct ()->data;
}

/* 创建和参数商品 */
{
	/* 创建微店商品 */
	Logger::info ( "创建微店商品" );
	{
		$imgs = array (
				"http://wd.geilicdn.com/vshop258231218-1441636631918-67905-s3.jpg?w=1080&h=0&a1",
				"http://wd.geilicdn.com/vshop258231218-1441636631918-67905-s3.jpg?w=1080&h=0&b1" 
		);
		$skus = array ();
		$item_name = "【全国包邮】 欧洲站秋季新款范冰冰明星款西装领双排扣风衣系带中长款大衣";
		$merchant_code = "90";
		$fx_fee_rate = "1";
		$response = $wdProductApi->createProduct ( $imgs, 1, 1000, $item_name, "1", $skus, $merchant_code );
		$add_item_id = $response->getDataAsObject ()->result->itemid;
		echo "添加商品ID:", $add_item_id;
	}
	
	/* 删除单个商品 */
	Logger::info ( "删除单个商品" );
	{
		if ($wdProductApi->deleteProduct ( $add_item_id )) {
			echo "成功删除商品ID:", $add_item_id;
		} else {
			echo "删除商品ID:", $add_item_id, "失败";
		}
	}
}

/**
 * 上传商品图片-图片可以是远程HTTP协议图片或本地图片
 */
Logger::info ( "上传商品图片" );
{
	echo $wdProductApi->uploadProductImage ( "@http://wd.geilicdn.com/vshop258231218-1441636631918-67905-s3.jpg?w=1080&h=0&b1" )->data;
}

/* 添加/删除商品图片 */
{
	/**
	 * 添加商品图片 *
	 */
	Logger::info ( "添加商品图片" );
	{
		$imgs = array (
				"http://wd.geilicdn.com/vshop160022024-5229318469591444541776-207791.jpg?w=1080&h=0" 
		);
		if ($wdProductApi->addProductImage ( '1586640507', $imgs )) {
			echo "成功添加图片";
		} else {
			echo "添加图片失败";
		}
	}
	/**
	 * 删除商品图片 *
	 */
	Logger::info ( "删除商品图片" );
	
	{
		$imgs = array (
				"http://wd.geilicdn.com/vshop160022024-5229318469591444541776-207791.jpg?w=1080&h=0" 
		);
		if ($wdProductApi->deleteProductImage ( "1586640507", $imgs )) {
			echo "成功删除图片";
		} else {
			echo "删除图片失败";
		}
	}
}

/**
 * 更新商品信息 *
 */
Logger::info ( "更新商品信息" );
{
	$itemid = "1586640507";
	$stock = 1;
	$price = 999;
	$skus = array ();
	$item_name = "【全国包邮】 欧洲站秋季新款西装领双排扣风衣系带中长款大衣";
	$merchant_code = "90";
	$fx_fee_rate = "1";
	$response = $wdProductApi->updateProductInfo ( $itemid, $stock, $price, $item_name, $fx_fee_rate, $skus, $merchant_code );
	echo $response->data;
}

/**
 * 添加商品SKU
 */
Logger::info ( "添加商品SKU" );
{
	$itemid = "1586640507";
	$obj1 = array (
			"title" => "102",
			"sku_merchant_code" => "101",
			"price" => "888",
			"stock" => "5" 
	);
	$obj2 = array (
			"title" => "105",
			"sku_merchant_code" => "104",
			"price" => "988",
			"stock" => "1" 
	);
	$obj3 = array (
			"title" => "108",
			"sku_merchant_code" => "107",
			"price" => "788",
			"stock" => "1" 
	);
	$skus = array (
			$obj1,
			$obj2,
			$obj3 
	);
	$response = $wdProductApi->addProductSKU ( $itemid, $skus );
	echo $response->data;
}

/**
 * 更新商品型号 *
 */
Logger::info ( "更新商品型号" );

{
	$itemid = "1586640507";
	$obj1 = array (
			"id" => "4122716344",
			"title" => "102-红",
			"sku_merchant_code" => "101",
			"price" => "888",
			"stock" => "5" 
	);
	$obj2 = array (
			"id" => "4122716352",
			"title" => "105-黄",
			"sku_merchant_code" => "104",
			"price" => "988",
			"stock" => "1" 
	);
	$obj3 = array (
			"id" => "4122713908",
			"title" => "108-蓝",
			"sku_merchant_code" => "107",
			"price" => "788",
			"stock" => "1" 
	);
	$skus = array (
			$obj1,
			$obj2,
			$obj3 
	);
	$response = $wdProductApi->updateProductSKU ( $itemid, $skus );
	echo $response->data;
}

/**
 * 删除商品型号*
 */
Logger::info ( "删除商品型号" );

{
	$itemid = "1586640507";
	$skus = array (
			"4122713908" 
	);
	$response = $wdProductApi->deleteProductSKU ( $itemid, $skus );
	echo $response->data;
}

/**
 * 获取商品分类 *
 */
Logger::info ( "获取商品分类" );

{
	$response = $wdProductApi->getProductCate ();
	echo $response->data;
}

/**
 * 新增商品分类
 */

Logger::info ( "新增商品分类" );
{
	$cates1 = array (
			"cate_name" => "秋裤",
			"sort_num" => 1 
	);
	$cates2 = array (
			"cate_name" => "秋衣",
			"sort_num" => 2 
	);
	$response = $wdProductApi->addProductCate ( array (
			$cates1,
			$cates2 
	) );
	echo $response->data;
}
/**
 * 编辑商品分类
 */
Logger::info ( "编辑商品分类" );

{
	$cates1 = array (
			"cate_id" => "57493230",
			"cate_name" => "上衣1",
			"sort_num" => 1 
	);
	$cates2 = array (
			"cate_id" => "57493231",
			"cate_name" => "裤子1",
			"sort_num" => 2 
	);
	$cates = array (
			$cates1,
			$cates2 
	);
	$response = $wdProductApi->editProductCate ( $cates );
	echo $response->data;
}

/**
 * 删除商品分类
 */
Logger::info ( "删除商品分类" );
{
	if ($wdProductApi->deleteProductCate ( '57493231' )) {
		echo "成功删除分类";
	} else {
		echo "删除分类失败";
	}
}

/**
 * 设置商品的分类
 */
Logger::info ( "设置商品的分类" );

{
	$cate_ids = array (
			"57568292" 
	);
	$itemids = array (
			"1586640507" 
	);
	IF ($wdProductApi->setProductCate ( $itemids, $cate_ids )) {
		echo "成功设置商品分类";
	} else {
		echo "设置商品分类失败";
	}
}

/**
 * 取消商品的分类
 */
Logger::info ( "取消商品的分类" );
{
	$cate_ids = array (
			"57568292" 
	);
	$itemid = "1586640507";
	if ($wdProductApi->cancelProductCate ( $itemid, $cate_ids )) {
		echo "成功取消分类";
	} else {
		echo "取消分类失败";
	}
}

/**
 * 商品上下架
 */
Logger::info ( "商品上下架" );
{
	$itemid = "1586640507";
	$opt = 2; // 1表示商品上架，2表示商品下架
	if ($wdProductApi->productOnSale ( $itemid, $opt )) {
		echo "成功下架商品";
	} else {
		echo "下架商品失败";
	}
	$opt = 1;
	if ($wdProductApi->productOnSale ( $itemid, $opt )) {
		echo "成功上架商品";
	} else {
		echo "上架商品失败";
	}
}

