@extends('admin.layout.base')
@section('title', '供应商列表')

@section('header')
    @parent
@endsection
@section('sidebar')
    @parent
@endsection

@section("sidebar")
@parent
@endsection

@section("content")

    <ol class="breadcrumb">
        <li class="breadcrumb-item"><a href="#">系统首页</a></li>
        <li class="breadcrumb-item"><a href="{{ route('goods') }}">{{ $supply->supplyname }}</a></li>
        <li class="breadcrumb-item active">{{ $cat}}</li>


        <!-- Breadcrumb Menu-->
        <li class="breadcrumb-menu hidden-md-down">
            <div class="btn-group" role="group" aria-label="Button group with nested dropdown">

                <a class="btn btn-secondary" href="{{ route('dashboard') }}"><i class="icon-graph"></i> &nbsp;欢迎页</a>
                <a class="btn btn-secondary" href="{{ route('adminSettings') }}"><i class="icon-settings"></i> &nbsp;设置</a>
            </div>
        </li>
    </ol>


    <div class="container-fluid">
        <!--/.row-->

        <div class="row">
            @if(isset($message) && !empty($message))
                <div class="alert alert-warning" role="alert">
                    <a href="#" class="alert-link">{{$message}} </a>
                </div>
            @endif

            <div class="col-lg-12">
                <div class="card">
                    <form action="" method="post" onsubmit="return checkSubmit();">
                        {{ csrf_field() }}
                    <div class="card-header">
                        <i class="fa fa-align-justify"></i> {{ $cat }}（总有{{ $list->total }}条）的产品列表

                     </div>
                    <div class="card-block">

                        <div class="form-group row">
                            <select class="form-control col-2 ml-2" name="shop" id="shop">
                                <option value="-1">选择要导入的店铺</option>
                                @foreach($shops as $shop)
                                <option value="{{$shop->id}}">@if($shop->type == 1) 有赞- @elseif($shop->type==2)微店- @endif {{$shop->shopname}}</option>
                                @endforeach
                            </select>
                            <select name="addprice" class="form-control col-2 ml-2" id="">
                                <option value="cf_price">乘法系数（原价X{{$settings['cf_price']}}）</option>
                                <option value="add_price">加法系数（原价+{{$settings['add_price']}}）</option>
                            </select>
                            <select name="updateStock" class="form-control col-2 ml-2" id="">
                                <option value="1">数据存在则更新库存</option>
                                <option value="0">数据存在则不更新库存</option>
                            </select>
                            <input  type="submit" class="float-left btn btn-primary mb-1 ml-2" value="导入" />
                        </div>
                        <table class="table table-bordered table-striped table-condensed table-responsive">
                            <thead>
                            <tr>
                                <th><input type="checkbox" value="" name="all" id="all" /> 全选</th>

                                <th>标题</th>
                                <th>库存</th>
                                <th>价格</th>

                                <th>品牌</th>
                                <th>Logo</th>

                                <th>产地</th>
                                <th>重量</th>
                                <th>类型</th>
                                <th>包邮</th>


                            </tr>
                            </thead>
                            <tbody>
                            @foreach($list->goods_list as $s)

                            <tr>
                                <td><input type="checkbox" value="{{ $s->sku_id }}" class="skuid" name="skuid[]" />
                                    <img src="{{ $s->sku_pic }}" alt="" width="30" height="30" /></td>

                                <td>{{ $s->sku_name }}</td>

                                <td>
                                    @if($s->sku_stock_num_show <10)
                                        <span class="badge badge-danger">{{ $s->sku_stock_num_show  }}</span>
                                    @else
                                        <span class="badge badge-success"> {{ $s->sku_stock_num_show  }} </span>
                                    @endif
                                </td>

                                <td>
                                    @if(isset($s->price_range_list) && count($s->price_range_list)>0)
                                        <select name="sku_price[{{$s->sku_id}}]" id="sku_price">
                                       @foreach($s->price_range_list as $value)
                                                <option value=" {{$value->range_price }}">{{$value->range_price/100 }}元/件  {{$value->start_num }} 起批</option>
                                        @endforeach
                                        </select>

                                    @else
                                        -
                                    @endif
                                </td>
                                <input type="hidden" name="brand_name[{{$s->sku_id}}]" value="{{ $s->brand_name }}">
                                <input type="hidden" name="sku_name[{{$s->sku_id}}]" value="{{ $s->sku_name }}">
                                <input type="hidden" name="sku_stock_num_show[{{$s->sku_id}}]" value="{{ $s->sku_stock_num_show }}">
                                <input type="hidden" name="sku_pic[{{$s->sku_id}}]" value="{{ $s->sku_pic }}">
                                <input type="hidden" name="country_name[{{$s->sku_id}}]" value="{{ $s->country_name }}">
                                <input type="hidden" name="sku_weight[{{$s->sku_id}}]" value="{{ $s->sku_weight }}">
                                <input type="hidden" name="sku_weight_unit[{{$s->sku_id}}]" value="{{ $s->sku_weight_unit }}">
                                <input type="hidden" name="trade_id[{{$s->sku_id}}]" value="{{ $s->trade_id }}">
                                <input type="hidden" name="country_logo[{{$s->sku_id}}]" value="{{ $s->country_logo }}">
                                <input type="hidden" name="sku_detail[{{$s->sku_id}}]" value="{{ $s->sku_detail }}">
                                <input type="hidden" name="country_map[{{$s->sku_id}}]" value="{{ $s->country_map }}">
                                <input type="hidden" name="model_type[{{$s->sku_id}}]" value="{{ $s->model_type }}">
                                @if(isset($s->quality_start_date))
                                    <input type="hidden" name="quality_start_date[{{$s->sku_id}}]" value="{{$s->quality_start_date}}">
                                @endif
                                @if(isset($s->quality_end_date))
                                    <input type="hidden" name="quality_end_date[{{$s->sku_id}}]" value="{{$s->quality_end_date}}">
                                @endif

                                <td>{{ $s->brand_name }}</td>
                                <td><img src="{{ $s->brand_logo }}" alt="" width="30" height="30" /></td>

                                <td>{{ $s->country_name }}</td>
                                <td>{{ $s->sku_weight }} {{ $s->sku_weight_unit }}</td>
                                <td>
                                    @if($s->trade_id == 2)
                                        直邮
                                    @elseif($s->trade_id == 1 )
                                        保税
                                    @elseif($s->trade_id == 3 )
                                        完税
                                    @elseif($s->trade_id == 4)
                                        售后
                                    @endif
                                </td>

                                <td>
                                    @if($s->model_type == 2)
                                        部分地区包邮
                                    @elseif($s->model_type == 1 )
                                        全国包邮
                                    @elseif($s->model_type == 3 )
                                        不包邮

                                    @endif
                                </td>

                            </tr>
                            @endforeach
                            </tbody>


                        </table>
                        @if($markup)
                            <ul class="pagination">
                                <?php echo  $markup;  ?>
                            </ul>
                        @endif
                    </div>
                    </form>
                </div>
            </div>
            <!--/.col-->
        </div>
        <!--/.row-->

    </div>
@endsection

@section('js_footer')
    @parent
    <script src="{{asset('js')}}/layer/layer.js"></script>
    <script>
        $(function(){

            //全选/全不选
            $("#all").click(function(){
                $(".skuid").attr("checked",this.checked);
            });

            $(".skuid").click(function(){
                var flag=true;
                $(".skuid").each(function(){
                    if(!this.checked){
                        flag=false;
                    }
                });
                $("#all").attr("checked",flag);
            });

        })
        function checkSubmit(){
               var shop = $("#shop").val();
               if(shop <0){
                   layer.alert('请选择你要导入的店铺', {icon: 6});
                   return false;
               }
               if($("[name='skuid[]']:checkbox:checked").length == 0){
                   layer.alert('请选择你要导入的数据', {icon: 6});
                   return false;
               }

            layer.msg('导入中……', {
                icon: 16
                ,shade: 0.3,
                time:0,
                shadeClose:false
            });

            }

        </script>
    @if(!empty($message))
        <script>

            layer.msg('{{ $message }}');
        </script>

    @endif

@endsection

