@extends('admin.layout.base')
@section('title', '用户列表')

@section('header')
    @parent
@endsection
@section('sidebar')
    @parent
@endsection

@section("sidebar")
@parent
@endsection

@section("content")

    <ol class="breadcrumb">
        <li class="breadcrumb-item"><a href="#">系统首页</a></li>
        <li class="breadcrumb-item active">用户管理</li>


        <!-- Breadcrumb Menu-->
        <li class="breadcrumb-menu hidden-md-down">
            <div class="btn-group" role="group" aria-label="Button group with nested dropdown">

                <a class="btn btn-secondary" href="{{ route('dashboard') }}"><i class="icon-graph"></i> &nbsp;欢迎页</a>
                <a class="btn btn-secondary" href="{{ route('adminSettings') }}"><i class="icon-settings"></i> &nbsp;设置</a>
            </div>
        </li>
    </ol>


    <div class="container-fluid">
        <!--/.row-->

        <div class="row">
            @if(isset($message))
                <div class="alert alert-warning" role="alert">
                    <a href="#" class="alert-link">{{$message}} </a>
                </div>
            @endif

            <div class="col-lg-12">
                <div class="card">
                    <div class="card-header">
                        <i class="fa fa-align-justify"></i> 用户列表
                        <a href="{{ route('adminAdd') }}" class="btn btn-info btn-sm ml-2">添加用户</a>
                    </div>
                    <div class="card-block">
                        <table class="table table-bordered table-striped table-condensed">
                            <thead>
                            <tr>
                                <th>ID</th>
                                <th>登录名</th>
                                <th>昵称</th>
                                <th>注册时间</th>
                                <th>操作</th>
                            </tr>
                            </thead>
                            <tbody>
                            @foreach($list as $s)
                            <tr>
                                <td>{{ $s->id }}</td>
                                <td>{{ $s->username }}</td>
                                <td>{{ $s->nickname }}</td>
                                <td>{{ date("Y-m-d",$s->logtime) }}</td>

                                <td><a href="{{ url('admin-update',['id'=>$s->id]) }}">编辑</a></td>
                            </tr>
                            @endforeach
                            </tbody>
                        </table>

                    </div>
                </div>
            </div>
            <!--/.col-->
        </div>
        <!--/.row-->

    </div>
@endsection