@extends('admin.layout.base')
@section('title', '商铺管理')
@section('header')
    @parent
@endsection
@section('sidebar')
    @parent
@endsection

@section("sidebar")
    @parent
@endsection

@section("content")

    <ol class="breadcrumb">
        <li class="breadcrumb-item"><a href="#">系统首页</a></li>
        <li class="breadcrumb-item active">商铺管理</li>


        <!-- Breadcrumb Menu-->
        <li class="breadcrumb-menu hidden-md-down">
            <div class="btn-group" role="group" aria-label="Button group with nested dropdown">

                <a class="btn btn-secondary" href="{{ route('dashboard') }}"><i class="icon-graph"></i> &nbsp;欢迎页</a>
                <a class="btn btn-secondary" href="#"><i class="icon-settings"></i> &nbsp;设置</a>
            </div>
        </li>
    </ol>


    <div class="container-fluid">
        <!--/.row-->

        <div class="row">
            <div class="col-md-8">
                <div class="card">
                    <div class="card-header">
                        <strong> 新增</strong>@if(\Illuminate\Support\Facades\Input::get('type') == 2)微店@else 有赞@endif商铺
                    </div>
                    <form action="" method="post" class="form-horizontal ">
                        <div class="card-block">

                            <div class="form-group row">
                                <label class="col-md-3 form-control-label" for="shopname">商铺名</label>
                                <div class="col-md-9">
                                    <input type="text" id="shopname" name="shopname"
                                           value="{{ old('shopname') }}"
                                           class="form-control" placeholder="请输入商铺名..">
                                    <span class="help-block bg-danger">{{ $errors->first('shopname') }}</span>
                                </div>
                            </div>
                            <div class="form-group row">
                                <label class="col-md-3 form-control-label" for="app_id">AppId</label>
                                <div class="col-md-9">
                                    <input type="text" id="app_id"

                                           value="{{  old('app_id') }}"
                                           name="app_id" class="form-control" placeholder="请输入AppId..">
                                    <span class="help-block bg-danger">{{ $errors->first('app_id') }}</span>
                                </div>
                            </div>
                            <div class="form-group row">
                                <label class="col-md-3 form-control-label" for="app_secret">Secret</label>
                                <div class="col-md-9">
                                    <input type="hidden" name="type" value="{{ \Illuminate\Support\Facades\Input::get('type') }}">
                                    <input type="text" id="app_secret"
                                           value="{{  old('app_secret') }}"
                                           name="app_secret" class="form-control" placeholder="请输入密钥..">
                                    <span class="help-block bg-danger">{{ $errors->first('app_secret') }}</span>
                                </div>
                            </div>

                            <div class="form-group row">
                                <label class="col-md-3 form-control-label" for="app_secret">是否下载产品图片</label>
                                <div class="col-md-9">
                                    <select name="savePic" id="savePic">
                                        <option value="1">下载远程图片</option>
                                        <option value="0">不下载远程图片</option>
                                    </select>
                                    <span class="help-block bg-danger">微店店铺忽略此选项</span>
                                </div>
                            </div>

                            <div class="form-group row">
                                <label class="col-md-3 form-control-label" for="delivery_template_id">运费模板ID</label>
                                <div class="col-md-9">
                                    <input type="text" id="delivery_template_id"
                                           value="{{  old('delivery_template_id') }}"
                                           name="delivery_template_id" class="form-control" placeholder="请输入运费模板ID..">
                                    <span class="help-block bg-danger">微店店铺忽略此选项</span>
                                </div>
                            </div>


                        </div>
                        <div class="card-footer">
                            {{ csrf_field() }}
                            <button type="submit" class="btn btn-sm btn-primary"><i class="fa fa-dot-circle-o"></i> 提交</button>
                            <button type="reset" class="btn btn-sm btn-danger"><i class="fa fa-ban"></i> 重置</button>
                        </div> </form>
                </div>
            </div>

        </div>
        <!--/.row-->

    </div>
@endsection