@extends('admin.layout.base')
@section('title', '供应商列表')

@section('header')
    @parent
@endsection
@section('sidebar')
    @parent
@endsection

@section("sidebar")
@parent
@endsection

@section("content")

    <ol class="breadcrumb">
        <li class="breadcrumb-item"><a href="#">系统首页</a></li>
        <li class="breadcrumb-item active">供应商管理</li>


        <!-- Breadcrumb Menu-->
        <li class="breadcrumb-menu hidden-md-down">
            <div class="btn-group" role="group" aria-label="Button group with nested dropdown">

                <a class="btn btn-secondary" href="{{ route('dashboard') }}"><i class="icon-graph"></i> &nbsp;欢迎页</a>
                <a class="btn btn-secondary" href="{{ route('adminSettings') }}"><i class="icon-settings"></i> &nbsp;设置</a>
            </div>
        </li>
    </ol>


    <div class="container-fluid">
        <!--/.row-->

        <div class="row">
            @if(isset($message))
                <div class="alert alert-warning" role="alert">
                    <a href="#" class="alert-link">{{$message}} </a>
                </div>
            @endif

            <div class="col-lg-12">
                <div class="card">
                    <div class="card-header">
                        <i class="fa fa-align-justify"></i> 供应商列表
                        <a href="{{ route('supplyAdd') }}" class="btn btn-info btn-sm ml-2">添加供应商</a>
                    </div>
                    <div class="card-block">
                        <table class="table table-bordered table-striped table-condensed">
                            <thead>
                            <tr>
                                <th>ID</th>
                                <th>供应商名</th>
                                <th>商户ID</th>
                                <th>接口HOST</th>
                                <th>接口密钥</th>

                                <th>操作</th>
                            </tr>
                            </thead>
                            <tbody>
                            @foreach($list as $s)
                            <tr>
                                <td>{{ $s->id }}</td>
                                <td>{{ $s->supplyname }}</td>
                                <td>{{ $s->merchant_id }}</td>
                                <td>{{ $s->apihost }}</td>
                                <td>{{ $s->supplykey }}</td>

                                <td><a href="{{ url('supply-update',['id'=>$s->id]) }}">编辑</a></td>
                            </tr>
                            @endforeach
                            </tbody>
                        </table>

                            {{ $list->render() }}

                    </div>
                </div>
            </div>
            <!--/.col-->
        </div>
        <!--/.row-->

    </div>
@endsection